%define oname kdepimlibs

Summary:	Plasma 5 PIM libraries
Name:		plasma5-%{oname}
Version:	16.04.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	xsltproc
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	grantlee-qt5-devel
BuildRequires:	sasl-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadiserver-devel
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5contacts-devel
BuildRequires:	kf5calendarcore-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5parts-devel
# We don't have it yet
# BuildRequires:	kf5prison-devel
BuildRequires:	kf5ldap-devel
BuildRequires:	kf5mbox-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(shared-mime-info)
Requires:	plasma5-akonadi-client
Requires:	plasma5-akonadi-contact
Requires:	plasma5-akonadi-mime
Requires:	plasma5-akonadi-socialutils
Requires:	plasma5-kio-kdepimlibs

%description
Plasma 5 PIM libraries and Akonadi client files and packages.

%files

#----------------------------------------------------------------------------

%package -n plasma5-akonadi-contact
Summary:	Plasma 5 Akonadi Contact
Group:		Graphical desktop/KDE
Conflicts:	kdepimlibs4-core

%description -n plasma5-akonadi-contact
Plasma 5 Akonadi Contact.

%files -n plasma5-akonadi-contact
%{_kde5_datadir}/kf5/akonadi/contact/pics/world.jpg
%{_kde5_datadir}/kf5/akonadi/contact/data/zone.tab
%{_kde5_datadir}/akonadicontact/grantleetheme/default/addresseslocation.css
%{_kde5_datadir}/akonadicontact/grantleetheme/default/addresseslocation.html
%{_kde5_iconsdir}/oxygen/16x16/apps/*_protocol.png
%{_kde5_services}/akonadicontact_actions.desktop
%{_kde5_services}/akonadi/contact/*protocol.desktop
%{_kde5_servicetypes}/kaddressbookimprotocol.desktop
%{_qt5_plugindir}/kcm_akonadicontact_actions.so

#----------------------------------------------------------------------------

%package -n plasma5-akonadi-mime
Summary:	Plasma 5 Akonadi MIME
Group:		Graphical desktop/KDE
Conflicts:	kdepimlibs4-core

%description -n plasma5-akonadi-mime
Plasma 5 Akonadi MIME.

%files -n plasma5-akonadi-mime
%{_kde5_bindir}/akonadi_benchmarker
%{_kde5_datadir}/config.kcfg/specialmailcollections.kcfg
%{_datadir}/mime/packages/x-vnd.kde.contactgroup.xml

#----------------------------------------------------------------------------

%package -n plasma5-akonadi-socialutils
Summary:	Plasma 5 Akonadi Social Utils
Group:		Graphical desktop/KDE
Conflicts:	kdepimlibs4-core

%description -n plasma5-akonadi-socialutils
Akonadi Social Utils - a collections of social-networks utilities for Akonadi.

Provides helper functions, serializable item with a serializer and Akonadi
Collections attributes for setting some social metadata for Social collections.

%files -n plasma5-akonadi-socialutils
%{_kde5_datadir}/akonadi/plugins/serializer/akonadi_serializer_socialfeeditem.desktop
%{_datadir}/mime/packages/x-vnd.akonadi5.socialfeeditem.xml
%{_qt5_plugindir}/akonadi_serializer_socialfeeditem.so

#----------------------------------------------------------------------------

%package -n plasma5-kio-kdepimlibs
Summary:	Plasma 5 kdepimlibs kio slaves module
Group:		Graphical desktop/KDE

%description -n plasma5-kio-kdepimlibs
Plasma 5 kdepimlibs kio slaves module.

It includes kio slaves:
- IMAP
- LDAP
- MBox
- NNTP
- POP3
- Sieve
- SMTP

%files -n plasma5-kio-kdepimlibs
%{_kde5_docdir}/HTML/en/kioslave5/imap
%{_kde5_docdir}/HTML/en/kioslave5/ldap
%{_kde5_docdir}/HTML/en/kioslave5/mbox
%{_kde5_docdir}/HTML/en/kioslave5/nntp
%{_kde5_docdir}/HTML/en/kioslave5/pop3
%{_kde5_docdir}/HTML/en/kioslave5/sieve
%{_kde5_docdir}/HTML/en/kioslave5/smtp
%{_kde5_services}/ldap.protocol
%{_kde5_services}/ldaps.protocol
%{_kde5_services}/mbox.protocol
%{_kde5_services}/nntp.protocol
%{_kde5_services}/nntps.protocol
%{_kde5_services}/pop3.protocol
%{_kde5_services}/pop3s.protocol
%{_kde5_services}/sieve.protocol
%{_kde5_services}/smtp.protocol
%{_kde5_services}/smtps.protocol
%{_kde5_sysconfdir}/xdg/kdepimlibs-kioslave.categories
%{_qt5_plugindir}/kf5/kio/ldap.so
%{_qt5_plugindir}/kf5/kio/mbox.so
%{_qt5_plugindir}/kf5/kio/nntp.so
%{_qt5_plugindir}/kf5/kio/pop3.so
%{_qt5_plugindir}/kf5/kio/sieve.so
%{_qt5_plugindir}/kf5/kio/smtp.so

#----------------------------------------------------------------------------

%define kf5akonadicontact_major 5
%define libkf5akonadicontact %mklibname kf5akonadicontact %{kf5akonadicontact_major}

%package -n %{libkf5akonadicontact}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5akonadicontact}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadicontact}
%{_kde5_libdir}/libKF5AkonadiContact.so.%{kf5akonadicontact_major}*

#----------------------------------------------------------------------------

%define devkf5akonadicontact %mklibname kf5akonadicontact -d

%package -n %{devkf5akonadicontact}
Summary:	Development files for Plasma 5 Akonadi
Group:		Development/KDE and Qt
Requires:	%{libkf5akonadicontact} = %{EVRD}
Provides:	kf5akonadicontact-devel = %{version}

%description -n %{devkf5akonadicontact}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5akonadicontact}
%dir %{_kde5_includedir}/KF5/Akonadi/Contact
%{_kde5_includedir}/KF5/Akonadi/Contact/*
%dir %{_kde5_includedir}/KF5/akonadi/contact
%{_kde5_includedir}/KF5/akonadi/contact/*
%{_kde5_includedir}/KF5/akonadi-contact_version.h
%{_kde5_libdir}/cmake/KF5AkonadiContact
%{_kde5_libdir}/libKF5AkonadiContact.so
%{_kde5_mkspecsdir}/qt_AkonadiContact.pri

#----------------------------------------------------------------------------

%define kf5akonadimime_major 5
%define libkf5akonadimime %mklibname kf5akonadimime %{kf5akonadimime_major}

%package -n %{libkf5akonadimime}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5akonadimime}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadimime}
%{_kde5_libdir}/libKF5AkonadiMime.so.%{kf5akonadimime_major}*

#----------------------------------------------------------------------------

%define devkf5akonadimime %mklibname kf5akonadimime -d

%package -n %{devkf5akonadimime}
Summary:	Development files for Plasma 5 Akonadi
Group:		Development/KDE and Qt
Requires:	%{libkf5akonadimime} = %{EVRD}
Provides:	kf5akonadimime-devel = %{version}

%description -n %{devkf5akonadimime}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5akonadimime}
%dir %{_kde5_includedir}/KF5/Akonadi/KMime
%{_kde5_includedir}/KF5/Akonadi/KMime/*
%dir %{_kde5_includedir}/KF5/akonadi/kmime
%{_kde5_includedir}/KF5/akonadi/kmime/*
%{_kde5_includedir}/KF5/akonadi-mime_version.h
%{_kde5_libdir}/cmake/KF5AkonadiMime
%{_kde5_libdir}/libKF5AkonadiMime.so
%{_kde5_mkspecsdir}/qt_AkonadiMime.pri

#----------------------------------------------------------------------------

%define kf5akonadinotes_major 5
%define libkf5akonadinotes %mklibname kf5akonadinotes %{kf5akonadinotes_major}

%package -n %{libkf5akonadinotes}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5akonadinotes}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadinotes}
%{_kde5_libdir}/libKF5AkonadiNotes.so.%{kf5akonadinotes_major}*

#----------------------------------------------------------------------------

%define devkf5akonadinotes %mklibname kf5akonadinotes -d

%package -n %{devkf5akonadinotes}
Summary:	Development files for Plasma 5 Akonadi
Group:		Development/KDE and Qt
Requires:	%{libkf5akonadinotes} = %{EVRD}
Provides:	kf5akonadinotes-devel = %{version}

%description -n %{devkf5akonadinotes}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5akonadinotes}
%dir %{_kde5_includedir}/KF5/Akonadi/Notes
%{_kde5_includedir}/KF5/Akonadi/Notes/*
%dir %{_kde5_includedir}/KF5/akonadi/notes
%{_kde5_includedir}/KF5/akonadi/notes/*
%{_kde5_includedir}/KF5/akonadi-notes_version.h
%{_kde5_libdir}/cmake/KF5AkonadiNotes
%{_kde5_libdir}/libKF5AkonadiNotes.so
%{_kde5_mkspecsdir}/qt_AkonadiNotes.pri

#----------------------------------------------------------------------------

%define kf5akonadisocialutils_major 5
%define libkf5akonadisocialutils %mklibname kf5akonadisocialutils %{kf5akonadisocialutils_major}

%package -n %{libkf5akonadisocialutils}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5akonadisocialutils}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadisocialutils}
%{_kde5_libdir}/libKF5AkonadiSocialUtils.so.%{kf5akonadisocialutils_major}*

#----------------------------------------------------------------------------

%define devkf5akonadisocialutils %mklibname kf5akonadisocialutils -d

%package -n %{devkf5akonadisocialutils}
Summary:	Development files for Plasma 5 Akonadi
Group:		Development/KDE and Qt
Requires:	%{libkf5akonadisocialutils} = %{EVRD}
Provides:	kf5akonadisocialutils-devel = %{version}

%description -n %{devkf5akonadisocialutils}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5akonadisocialutils}
%dir %{_kde5_includedir}/KF5/Akonadi/SocialUtils
%{_kde5_includedir}/KF5/Akonadi/SocialUtils/*
%dir %{_kde5_includedir}/KF5/akonadi/socialutils
%{_kde5_includedir}/KF5/akonadi/socialutils/*
%{_kde5_includedir}/KF5/akonadi-socialutils_version.h
%{_kde5_libdir}/cmake/KF5AkonadiSocialUtils
%{_kde5_libdir}/libKF5AkonadiSocialUtils.so
%{_kde5_mkspecsdir}/qt_AkonadiSocialUtils.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (78a89db) New version 16.04.3


